gr::satellites::crc_check_impl Class Reference

`#include <crc_check_impl.h>`

Inheritance diagram for gr::satellites::crc_check_impl:
[legend]

## Public Member Functions

| crc_check_impl (unsigned num_bits, uint64_t poly, uint64_t initial_value, uint64_t final_xor, bool input_reflected, bool result_reflected, bool swap_endianness, bool discard_crc, unsigned skip_header_bytes)
| ~crc_check_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::crc_check
typedef boost::shared_ptr< crc_check > | sptr
Static Public Member Functions inherited from gr::satellites::crc_check
static sptr | make (unsigned num_bits, uint64_t poly, uint64_t initial_value, uint64_t final_xor, bool input_reflected, bool result_reflected, bool swap_endianness, bool discard_crc=false, unsigned skip_header_bytes=0)
| Build the CRC append block.

## Constructor & Destructor Documentation

## crc_check_impl()

gr::satellites::crc_check_impl::crc_check_impl | ( | unsigned | num_bits,
|  | uint64_t | poly,
|  | uint64_t | initial_value,
|  | uint64_t | final_xor,
|  | bool | input_reflected,
|  | bool | result_reflected,
|  | bool | swap_endianness,
|  | bool | discard_crc,
|  | unsigned | skip_header_bytes )

## ~crc_check_impl()

gr::satellites::crc_check_impl::~crc_check_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::crc_check_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::crc_check_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## msg_handler()

void gr::satellites::crc_check_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- crc_check_impl.h